Представлен релиз дистрибутива openSUSE Leap 15.3

Представлен релиз дистрибутива openSUSE Leap 15.3

После почти года разработки состоялся релиз дистрибутива openSUSE Leap 15.3. Выпуск сформирован на основе базового набора пакетов дистрибутива SUSE Linux Enterprise с некоторыми пользовательскими приложениями из репозитория openSUSE Tumbleweed. Для загрузки доступна универсальная DVD-сборка, размером 4.4 ГБ (x86_64, aarch64, ppc64les, 390x), урезанный образ для установки с загрузкой пакетов по сети (146 МБ) и Live-сборки с KDE, GNOME и Xfce.

Ключевой особенностью openSUSE Leap 15.3 стало использование единого с SUSE Linux Enterprise 15 SP 3 набора бинарных пакетов, вместо практикуемой при подготовки прошлых выпусков пересборки src-пакетов SUSE Linux Enterprise. Предполагается, что использование одних и тех же бинарных пакетов в SUSE и openSUSE упростит миграцию от одного дистрибутива к другому, сэкономит ресурсы на сборку пакетов, распространение обновлений и тестирование, унифицирует различия в spec-файлах и позволит отойти от диагностики разных сборок пакетов при разборе сообщений об ошибках.

Другие новшества:

  • Обновлены отдельные компоненты дистрибутива. Как и в прошлом выпуске продолжает поставляться базовое ядро Linux, подготовленное на основе версии 5.3.18. Системный менеджер systemd обновлён до версии 246 (ранее поставлялся выпуск 234), а пакетный менеджер DNF до версии 4.7.0 (была 4.2.19).
  • Обновлены пользовательские окружения Xfce 4.16, LXQt 0.16 и Cinnamon 4.6. Как и в прошлом выпуске продолжают поставляться KDE Plasma 5.18, GNOME 3.34, Sway 1.4, MATE 1.24, Wayland 1.18 и X.org Server 1.20.3. Пакет Mesa обновлён с выпуска 19.3 до 20.2.4 с поддержкой OpenGL 4.6 и Vulkan 1.2. Предложены новые выпуски LibreOffice 7.1.1, Blender 2.92, VLC 3.0.11.1, mpv 0.32, Firefox 78.7.1 и Chromium 89. Из репозиториев удалены пакеты с KDE 4 и Qt 4.
  • Предоставлены новые пакеты для исследователей, занимающихся машинным обучением: TensorFlow Lite 2020.08.23, PyTorch 1.4.0, ONNX 1.6.0, Grafana 7.3.1.
  • Обновлены инструментарии для изолированных контейнеров: Podman 2.1.1-4.28.1, CRI-O 1.17.3, containerd 1.3.9-5.29.3, kubeadm 1.18.4.
  • Для разработчиков предложены Go 1.15, Perl 5.26.1, PHP 7.4.6, Python 3.6.12, Ruby 2.5, Rust 1.43.1.
  • Из-за проблем с лицензией из пакетов apr-util, cyrus-sasl, iproute2, perl, php7, postfix и rpm удалена библиотека Berkeley DB. Ветка Berkeley DB 6 переведена на AGPLv3, требования которой распространяются и на приложения, использующие BerkeleyDB в форме библиотеки. Например RPM поставляется под GPLv2, а AGPL несовместима с GPLv2.
  • Добавлена поддержка систем IBM Z и LinuxONE (s390x).
Подписаться
Уведомить о
guest
0 комментариев
Межтекстовые Отзывы
Посмотреть все комментарии